IG User Instagram-Backed Threads User

Represents a Threads account backed by an Instagram account.

You cannot log into Instagram-backed Threads accounts to manage posts.

Requirements

TypeDescription

Permissions

If the app user was granted a role via the Business Manager on the Page connected to your app user's Instagram professional account, your app will also need one of:

Tokens

A Facebook User access token.

Limitations

Reading

GET /{ig-user-id}/instagram_backed_threads_user

You can make an API request to get the Instagram-backed Threads account ID.

Sample request

curl -G \
  -d "access_token=<ACCESS_TOKEN>"\
  -d "fields=threads_user_id" \
"https://graph.facebook.com/v25.0/<IG_USER_ID>/instagram_backed_threads_user"

Sample response

{
  "data": [
    {
      "threads_user_id": "<THREADS_USER_ID>",
    }
  ],
}

Creating

POST /{ig-user-id}/instagram_backed_threads_user

You can make an API call to create an Instagram-backed Threads account specifically for running ads on Threads.

Sample request

curl \
  -F "access_token=<ACCESS_TOKEN>"\
"https://graph.facebook.com/v25.0/<IG_USER_ID>/instagram_backed_threads_user"

Sample response

{
  "data": [
    {
      "threads_user_id": "<THREADS_USER_ID>",
    }
  ],
}

Updating

This operation is not supported.

Deleting

This operation is not supported.